<!--
 * @Description: quick demo - vue2 版本页面
 * @Date: 2022-03-14 16:56:36
 * @LastEditTime: 2022-03-29 17:01:32
-->
<template>
  <div class="homepage">
    <homepc v-if="modileFlag"></homepc>
    <homePhone v-if="!modileFlag"></homePhone>
  </div>
</template>
  
<script>
import homepc from "@/components/homepc.vue";
import homePhone from "@/components/homeh5.vue";
import { getModile } from "@/utils/utils";
export default {
  name: "App",
  components: {
    homepc,
    homePhone,
  },
  data() {
    return {
      modileFlag: false,
    };
  },
  methods: {},
  created() {
    this.modileFlag = getModile();
    let routeParams = this.$route.query;
    let appType = routeParams.type;
    if (appType) {
      sessionStorage.setItem("type", appType);
    }else{
      sessionStorage.setItem("type", "tiaojie");
    }
  },
};
</script>
  
<style scoped>
</style>
  
  
  